Bug 1048388 - [abrt] gedit: gtk_tree_row_ref_deleted(): gedit killed by SIGSEGV
Summary: [abrt] gedit: gtk_tree_row_ref_deleted(): gedit killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7d89ac51916afe8b872370309b1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-03 21:40 UTC by Michael Catanzaro
Modified: 2014-12-15 04:27 UTC (History)
1 user (show)

Fixed In Version: gtk3-3.14.6-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-15 04:27:45 UTC


Attachments (Terms of Use)
File: backtrace (28.82 KB, text/plain)
2014-01-03 21:40 UTC, Michael Catanzaro
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-03 21:40 UTC, Michael Catanzaro
no flags Details
File: core_backtrace (15.05 KB, text/plain)
2014-01-03 21:40 UTC, Michael Catanzaro
no flags Details
File: dso_list (12.30 KB, text/plain)
2014-01-03 21:40 UTC, Michael Catanzaro
no flags Details
File: environ (1.45 KB, text/plain)
2014-01-03 21:40 UTC, Michael Catanzaro
no flags Details
File: exploitable (82 bytes, text/plain)
2014-01-03 21:40 UTC, Michael Catanzaro
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-03 21:40 UTC, Michael Catanzaro
no flags Details
File: maps (60.94 KB, text/plain)
2014-01-03 21:40 UTC, Michael Catanzaro
no flags Details
File: open_fds (1.69 KB, text/plain)
2014-01-03 21:40 UTC, Michael Catanzaro
no flags Details
File: proc_pid_status (928 bytes, text/plain)
2014-01-03 21:40 UTC, Michael Catanzaro
no flags Details
File: var_log_messages (349 bytes, text/plain)
2014-01-03 21:40 UTC, Michael Catanzaro
no flags Details

Description Michael Catanzaro 2014-01-03 21:40:10 UTC
Description of problem:
I clicked Open in gedit to bring up a file chooser, then left the window to do something else. I believe I deleted the folder that I had been viewing in the file chooser, causing gedit to crash. Cannot reproduce.

Version-Release number of selected component:
gedit-3.10.3-1.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        gedit /home/mcatanzaro/jhbuild/src/epiphany/tests/ephy-web-view-test.c
crash_function: gtk_tree_row_ref_deleted
executable:     /usr/bin/gedit
kernel:         3.12.5-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_row_ref_deleted at gtktreemodel.c:2130
 #1 gtk_tree_row_reference_deleted at gtktreemodel.c:2509
 #2 gtk_tree_view_row_deleted at gtktreeview.c:9048
 #7 gtk_tree_model_row_deleted at gtktreemodel.c:1867
 #8 emit_row_deleted_for_row at gtkfilesystemmodel.c:331
 #9 remove_file at gtkfilesystemmodel.c:1912
 #10 gtk_file_system_model_monitor_change at gtkfilesystemmodel.c:1257
 #11 ffi_call_unix64 at ../src/x86/unix64.S:76
 #12 ffi_call at ../src/x86/ffi64.c:522
 #13 g_cclosure_marshal_generic_va at gclosure.c:1550

Potential duplicate: bug 902427

Comment 1 Michael Catanzaro 2014-01-03 21:40:13 UTC
Created attachment 845089 [details]
File: backtrace

Comment 2 Michael Catanzaro 2014-01-03 21:40:14 UTC
Created attachment 845090 [details]
File: cgroup

Comment 3 Michael Catanzaro 2014-01-03 21:40:16 UTC
Created attachment 845091 [details]
File: core_backtrace

Comment 4 Michael Catanzaro 2014-01-03 21:40:18 UTC
Created attachment 845092 [details]
File: dso_list

Comment 5 Michael Catanzaro 2014-01-03 21:40:19 UTC
Created attachment 845093 [details]
File: environ

Comment 6 Michael Catanzaro 2014-01-03 21:40:21 UTC
Created attachment 845094 [details]
File: exploitable

Comment 7 Michael Catanzaro 2014-01-03 21:40:22 UTC
Created attachment 845095 [details]
File: limits

Comment 8 Michael Catanzaro 2014-01-03 21:40:24 UTC
Created attachment 845096 [details]
File: maps

Comment 9 Michael Catanzaro 2014-01-03 21:40:25 UTC
Created attachment 845097 [details]
File: open_fds

Comment 10 Michael Catanzaro 2014-01-03 21:40:27 UTC
Created attachment 845098 [details]
File: proc_pid_status

Comment 11 Michael Catanzaro 2014-01-03 21:40:29 UTC
Created attachment 845099 [details]
File: var_log_messages

Comment 12 Michael Catanzaro 2014-11-18 03:00:46 UTC
(In reply to Michael Catanzaro from comment #0)
> Description of problem:
> I clicked Open in gedit to bring up a file chooser, then left the window to
> do something else. I believe I deleted the folder that I had been viewing in
> the file chooser, causing gedit to crash. Cannot reproduce.

This time I ran 'git clean -xfd' with the file chooser open, so deleting the entire directory is not a requirement to trigger the crash.

Comment 13 Fedora Update System 2014-12-12 04:52:55 UTC
gtk3-3.14.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gtk3-3.14.6-1.fc21

Comment 14 Fedora Update System 2014-12-13 09:45:53 UTC
Package gtk3-3.14.6-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtk3-3.14.6-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16867/gtk3-3.14.6-1.fc21
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2014-12-15 04:27:45 UTC
gtk3-3.14.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.